Package org.apache.tapestry5.internal.translator

# Class StringTranslator

java.lang.Object
org.apache.tapestry5.internal.translator.AbstractTranslator<String>
org.apache.tapestry5.internal.translator.StringTranslator

All Implemented Interfaces:
  `Translator<String>`

public class StringTranslator extends AbstractTranslator<String>

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `StringTranslator()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `parseClient(Field field, String clientValue, String message)`
  Passes the clientValue through unchanged.
  `void`
  `render(Field field, String message, MarkupWriter writer, FormSupport formSupport)`
  Does nothing.
  `String`
  `toClient(String value)`
  Passes the value through unchanged.

  ### Methods inherited from class org.apache.tapestry5.internal.translator.AbstractTranslator

  `getMessageKey, getName, getType`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### StringTranslator

    public StringTranslator()

- ## Method Details

  - ### render

    public void render(Field field, String message, MarkupWriter writer, FormSupport formSupport)
    Does nothing.
    Parameters:
      `field` - the field which is currently being rendered
      `message` - formatted validation message, either from validation messages, or from an override
      `writer` - markup writer, allowing additional attributes to be written into the active element
      `formSupport` - used to add JavaScript

  - ### parseClient

    public String parseClient(Field field, String clientValue, String message) throws ValidationException
    Passes the clientValue through unchanged.
    Parameters:
      `field` - for which a value is being parsed
      `clientValue` - to convert to a server value; this will not be null, but may be blank
      `message` - formatted validation message, either from validation messages, or from an override
    Returns:
      equivalent server-side value (possibly null)
    Throws:
      `ValidationException` - if the value can not be parsed

  - ### toClient

    public String toClient(String value)
    Passes the value through unchanged.
    Parameters:
      `value` - the server side value (which will not be null)
    Returns:
      client-side value to present to the user